Bug 1656534 - All Ansible Quads are blank
Summary: All Ansible Quads are blank
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Satyajit Bulage
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 17:35 UTC by Eric Winchell
Modified: 2019-02-12 16:51 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:51:50 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
playbooks (243.26 KB, image/png)
2018-12-05 17:35 UTC, Eric Winchell
no flags Details

Description Eric Winchell 2018-12-05 17:35:44 UTC
Created attachment 1511833 [details]
playbooks

Description of problem: Quadicons in Playbooks, Repositories, and Credentials are blank.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Navigate to any screen under Automate . Ansible
2. Select Grid View
3.

Actual results:

Quads are blank

Expected results:

Quads should display the expected images or icons

Additional info:

Comment 3 CFME Bot 2018-12-06 19:06:43 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b0dffc1a9d83d3cfbc217c31258e3df40cf846ac
commit b0dffc1a9d83d3cfbc217c31258e3df40cf846ac
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Dec  6 08:30:03 2018 -0500
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Dec  6 08:30:03 2018 -0500

    Add missing single_quad definitions for ansible-related entities

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1656534

 app/decorators/configuration_script_source_decorator.rb | 6 +
 app/decorators/manageiq/providers/ansible_tower/automation_manager/configuration_script_decorator.rb | 6 +
 app/decorators/manageiq/providers/ansible_tower/automation_manager/playbook_decorator.rb | 6 +
 app/decorators/manageiq/providers/automation_manager/inventory_group_decorator.rb | 6 +
 app/decorators/manageiq/providers/automation_manager/inventory_root_group_decorator.rb | 6 +
 app/decorators/manageiq/providers/embedded_ansible/automation_manager/playbook_decorator.rb | 6 +
 app/decorators/manageiq/providers/embedded_automation_manager/configuration_script_source_decorator.rb | 6 +
 7 files changed, 42 insertions(+)

Comment 4 CFME Bot 2018-12-10 16:06:41 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/fe62a736b9cbd8dcbdffa0236a8b981cf6630fc4
commit fe62a736b9cbd8dcbdffa0236a8b981cf6630fc4
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Dec  6 14:04:54 2018 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Dec  6 14:04:54 2018 -0500

    Merge pull request #5051 from skateman/missing-ansible-quads

    Add missing single_quad definitions for ansible-related entities

    (cherry picked from commit a19b3d84ad31cc1e368094c8e0b6cd7b63eebcfb)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1656534

 app/decorators/configuration_script_source_decorator.rb | 6 +
 app/decorators/manageiq/providers/ansible_tower/automation_manager/configuration_script_decorator.rb | 6 +
 app/decorators/manageiq/providers/ansible_tower/automation_manager/playbook_decorator.rb | 6 +
 app/decorators/manageiq/providers/automation_manager/inventory_group_decorator.rb | 6 +
 app/decorators/manageiq/providers/automation_manager/inventory_root_group_decorator.rb | 6 +
 app/decorators/manageiq/providers/embedded_ansible/automation_manager/playbook_decorator.rb | 6 +
 app/decorators/manageiq/providers/embedded_automation_manager/configuration_script_source_decorator.rb | 6 +
 7 files changed, 42 insertions(+)

Comment 5 Satyajit Bulage 2018-12-12 14:07:58 UTC
Able to see Icons for Repository, Playbook and Credentials.

Verified Version: 5.10.0.29.20181211195209_fd990a9


Note You need to log in before you can comment on or make changes to this bug.